Skip to main content
GET
/
plans
List of plans
curl --request GET \
  --url {scheme}://{domain}/api/v1/aggregator/plans \
  --header 'x-api-key: <api-key>'
[
  {
    "planCode": "68b74fd80e51671c21e46913",
    "planTitle": "Standard",
    "planType": "svod",
    "description": "This is an invisible plan for Aggre Gator Ltd.",
    "identifier": "aggre_6months_399",
    "billingFrequency": {
      "value": "months",
      "is_recurring": false,
      "multiplier": "1",
      "_id": "68b74fd80e51671c21e46914"
    },
    "canDownload": false,
    "startDate": "2025-09-03",
    "endDate": null,
    "noEndDate": true,
    "contentIds": [
      "66fb907f70381480c75da8cc",
      "66fb9b8970381480c75daaa3",
      "66fba41d70381480c75dabfc",
      "66fbaa6370381480c75dacfc",
      "66fbb8af70381480c75daf52"
    ],
    "countries": [
      {
        "countryCode": "IN",
        "costPerBilling": "399"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.ascendott.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

limit
integer<int32>

The maximum number of results to return

Required range: x >= 1

Response

OK

planCode
string
planTitle
string
planType
string
description
string | null
identifier
string
billingFrequency
object
canDownload
boolean
startDate
string<date>
endDate
string<date> | null
noEndDate
boolean
contentIds
string[]
countries
object[]